<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ZooKeeperServerBean.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper.server</a> &gt; <span class="el_source">ZooKeeperServerBean.java</span></div><h1>ZooKeeperServerBean.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.zookeeper.server;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Date;

import org.apache.zookeeper.Version;
import org.apache.zookeeper.jmx.ZKMBeanInfo;

/**
 * This class implements the ZooKeeper server MBean interface.
 */
public class ZooKeeperServerBean implements ZooKeeperServerMXBean, ZKMBeanInfo {
    private final Date startTime;
    private final String name;
    
    protected final ZooKeeperServer zks;
    
<span class="fc" id="L37">    public ZooKeeperServerBean(ZooKeeperServer zks) {</span>
<span class="fc" id="L38">        startTime = new Date();</span>
<span class="fc" id="L39">        this.zks = zks;</span>
<span class="fc" id="L40">        name = &quot;StandaloneServer_port&quot; + zks.getClientPort();</span>
<span class="fc" id="L41">    }</span>
    
    public String getClientPort() {
        try {
<span class="nc" id="L45">            return InetAddress.getLocalHost().getHostAddress() + &quot;:&quot;</span>
<span class="nc" id="L46">                + zks.getClientPort();</span>
<span class="nc" id="L47">        } catch (UnknownHostException e) {</span>
<span class="nc" id="L48">            return &quot;localhost:&quot; + zks.getClientPort();</span>
        }
    }
    
    public String getName() {
<span class="fc" id="L53">        return name;</span>
    }
    
    public boolean isHidden() {
<span class="fc" id="L57">        return false;</span>
    }
    
    public String getStartTime() {
<span class="nc" id="L61">        return startTime.toString();</span>
    }
    
    public String getVersion() {
<span class="nc" id="L65">        return Version.getFullVersion();</span>
    }
    
    public long getAvgRequestLatency() {
<span class="nc" id="L69">        return zks.serverStats().getAvgLatency();</span>
    }
    
    public long getMaxRequestLatency() {
<span class="nc" id="L73">        return zks.serverStats().getMaxLatency();</span>
    }
    
    public long getMinRequestLatency() {
<span class="nc" id="L77">        return zks.serverStats().getMinLatency();</span>
    }
    
    public long getOutstandingRequests() {
<span class="nc" id="L81">        return zks.serverStats().getOutstandingRequests();</span>
    }

    public int getTickTime() {
<span class="nc" id="L85">        return zks.getTickTime();</span>
    }

    public void setTickTime(int tickTime) {
<span class="nc" id="L89">        zks.setTickTime(tickTime);</span>
<span class="nc" id="L90">    }</span>

    public int getMaxClientCnxnsPerHost() {
<span class="nc" id="L93">        ServerCnxnFactory fac = zks.getServerCnxnFactory();</span>
<span class="nc bnc" id="L94" title="All 2 branches missed.">        if (fac == null) {</span>
<span class="nc" id="L95">            return -1;</span>
        }
<span class="nc" id="L97">        return fac.getMaxClientCnxnsPerHost();</span>
    }

    public void setMaxClientCnxnsPerHost(int max) {
        // if fac is null the exception will be propagated to the client
<span class="nc" id="L102">        zks.getServerCnxnFactory().setMaxClientCnxnsPerHost(max);</span>
<span class="nc" id="L103">    }</span>

    public int getMinSessionTimeout() {
<span class="nc" id="L106">        return zks.getMinSessionTimeout();</span>
    }

    public void setMinSessionTimeout(int min) {
<span class="nc" id="L110">        zks.setMinSessionTimeout(min);</span>
<span class="nc" id="L111">    }</span>

    public int getMaxSessionTimeout() {
<span class="nc" id="L114">        return zks.getMaxSessionTimeout();</span>
    }

    public void setMaxSessionTimeout(int max) {
<span class="nc" id="L118">        zks.setMaxSessionTimeout(max);</span>
<span class="nc" id="L119">    }</span>

    
    public long getPacketsReceived() {
<span class="nc" id="L123">        return zks.serverStats().getPacketsReceived();</span>
    }
    
    public long getPacketsSent() {
<span class="nc" id="L127">        return zks.serverStats().getPacketsSent();</span>
    }
    
    public void resetLatency() {
<span class="nc" id="L131">        zks.serverStats().resetLatency();</span>
<span class="nc" id="L132">    }</span>
    
    public void resetMaxLatency() {
<span class="nc" id="L135">        zks.serverStats().resetMaxLatency();</span>
<span class="nc" id="L136">    }</span>

    public void resetStatistics() {
<span class="nc" id="L139">        ServerStats serverStats = zks.serverStats();</span>
<span class="nc" id="L140">        serverStats.resetRequestCounters();</span>
<span class="nc" id="L141">        serverStats.resetLatency();</span>
<span class="nc" id="L142">    }</span>

    public long getNumAliveConnections() {
<span class="nc" id="L145">        return zks.getNumAliveConnections();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>